Lua_TimeSpaceBuyTimesWindow = class("Lua_TimeSpaceBuyTimesWindow", Lua_Window)
function Lua_TimeSpaceBuyTimesWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TimeSpaceBuyTimesWindow";
	self.skinName = "TimeSpaceBuyTimesWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_TimeSpaceBuyTimesWindow:buildShowItem()
	self:superCall("buildShowItem");

	local cost = DataCenter.timeSpaceRaceUtil.buyTimesCost;
	self.costId = cost[1] or 0;
	self.costNum = cost[2] or 0;
	self.buyCount = 1;

	local num = DataCenter.timeSpaceRaceData.leftBuyTimes;
	self.inputItem = Lua_NumberInputItem.new(self.content);
	self.inputItem:setLocation(0, 34, 0);
	self.inputItem:setMinMaxEnable(true, true);
	self.inputItem:setCallBack(self, self.updateCount);
	self.inputItem:setValue(1, 1, num);

	local vipVo = DataCenter.vipData.curVipLevelVo;
	self.timesText.text = LanUtil.formateStr(770014, tostring(vipVo.id), tonumber(num), tostring(vipVo.time_space_race_buy_times));

	self.btnSure:addClickFuntion(self, self.onSure);
end

function Lua_TimeSpaceBuyTimesWindow:dispose()
	if self.inputItem then
		self.inputItem:dispose();
		self.inputItem = nil;
	end
	self:superCall("dispose");
end

function Lua_TimeSpaceBuyTimesWindow:updateCount(count)
	self.buyCount = count;
	self.priceText.text = LanUtil.formateStr(770013, tostring(count * self.costNum));
end

function Lua_TimeSpaceBuyTimesWindow:onSure(go)
	if self.buyCount > 0 and DataCenter.moneyData:isMoneyEnough(self.costId, self.buyCount * self.costNum, false, false, true) then
		Lua_ProxyManager.getProxy("Lua_TimeSpaceRaceProxy"):sBuyFightTimes(self.buyCount);
	end
	self:hide();
end