Lua_TimeSpaceChooseWindow = class("Lua_TimeSpaceChooseWindow", Lua_Window)
function Lua_TimeSpaceChooseWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TimeSpaceChooseWindow";
	self.skinName = "TimeSpaceChooseWindow_skin";
	self.showBlackMask = true;
	self:addPreLoadRes("/images/time_space_race/xui_skzb_widget_08.png", Lua_LoadFileType.IMG);
	self:addPreLoadRes("/images/time_space_race/xui_skzb_widget_09.png", Lua_LoadFileType.IMG);
	self:addPreLoadRes("/images/time_space_race/xui_skzb_widget_10.png", Lua_LoadFileType.IMG);
end

function Lua_TimeSpaceChooseWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.bChoose = false;

	self.itemList = Array();
	local list = DataCenter.timeSpaceRaceUtil.timeSpaceList;
	local item;
	for i = 1, #list do
		item = Lua_TimeSpaceChooseItem.new(self.content);
		item:setLocation(-204 + (i - 1) * 201, 9, 0);
		item:setCallBack(self, self.onSpaceSelected);
		item:setData(list[i]);
		self.itemList:add(item);
	end

	self.btnSure:addClickFuntion(self, self.onSure);
end

function Lua_TimeSpaceChooseWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	if not self.bChoose then
		DataCenter.funcPathUtil:gotoFunction(1038, true);
	end
	self:superCall("dispose");
end

function Lua_TimeSpaceChooseWindow:onSpaceSelected(spaceData)
	self.spaceData = spaceData;
	self:updateSelected();
end

function Lua_TimeSpaceChooseWindow:updateSelected()
	for i = 1, self.itemList:getSize() do
		self.itemList[i]:updateSelected(self.spaceData);
	end
end

function Lua_TimeSpaceChooseWindow:onSure()
	if self.spaceData == nil then
		OperateAlert.showLangValue(770000);
		return;
	end

	self.bChoose = true;
	Lua_ProxyManager.getProxy("Lua_TimeSpaceRaceProxy"):sChooseType(self.spaceData.id);
	self:hide();
end










Lua_TimeSpaceChooseItem = class("Lua_TimeSpaceChooseItem", Lua_DisplayObject)
function Lua_TimeSpaceChooseItem:ctor(p)
	self:superCall("ctor", p, "TimeSpaceChooseItem_skin");
end

function Lua_TimeSpaceChooseItem:buildShowItem()
	self:superCall("buildShowItem");
	self.bg:addClickFuntion(self, self.onPressClick);
end

function Lua_TimeSpaceChooseItem:dispose()
	self.owner = nil;
	self.callBack = nil;
	self.data = nil;
	self:superCall("dispose");
end

function Lua_TimeSpaceChooseItem:setCallBack(owner, callBack)
	self.owner = owner;
	self.callBack = callBack;
end

function Lua_TimeSpaceChooseItem:setData(data)
	self.data = data;
	self.bg:setUrl(data.bg_path);
	local vo = DataCenter.funcOpenUtil:getFuncOpenVoById(data.open_id);
	if vo and not vo.isOpen then
		self.lockObject:SetActive(true);
		self.condText.text = vo.advanceMessage;
	else
		self.lockObject:SetActive(false);
	end
end

function Lua_TimeSpaceChooseItem:updateSelected(data)
	self.selectBg:setEnable(self.data == data);
end

function Lua_TimeSpaceChooseItem:onPressClick(go)
	if not DataCenter.funcOpenData:isOpened(self.data.open_id, true) then
		return;
	end

	if self.owner and self.callBack then
		self.callBack(self.owner, self.data);
	end	
end