Lua_TimeSpaceRaceEnterWindow = class("Lua_TimeSpaceRaceEnterWindow", Lua_Window)
function Lua_TimeSpaceRaceEnterWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TimeSpaceRaceEnterWindow";
	self.skinName = "TimeSpaceRaceEnterWindow_skin";
	self.isFullSizeWin = true;
	self.showWinBg = true;
	self.winBgPath = "/images/time_space_race/xui_skzb_bg_1.jpg";
	self:addPreLoadRes(self.winBgPath, Lua_LoadFileType.IMG);
end

function Lua_TimeSpaceRaceEnterWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.btnCancel:addClickFuntion(self, self.hide);
	self.btnSure:addClickFuntion(self, self.onSure);
end

function Lua_TimeSpaceRaceEnterWindow:dispose()
	self:superCall("dispose");
end

function Lua_TimeSpaceRaceEnterWindow:showWin(param)
	self:superCall("showWin", param);
	local config = DataCenter.timeSpaceRaceUtil:getTimeSpaceConfig(param.type);
	self.nameText.text = LanUtil.formateStr(770020, config.name);
	self.desText.text = config.fight_des;
	self.desLabel:setLangValue(770021);
end

function Lua_TimeSpaceRaceEnterWindow:onSure(go)
	local tipsData = { des = 770031, btnType = 1, owner = self, sureFun = self.onSureEnter };
	Lua_WindowUtil.openWin("Lua_TipsWindow", Lua_WinParam.ACTION_OPEN, tipsData);
end

function Lua_TimeSpaceRaceEnterWindow:onSureEnter()
	DataCenter.timeSpaceRaceData.spaceType = 0;
	Lua_ProxyManager.getProxy("Lua_TimeSpaceRaceProxy"):sChooseType(self.showData.type);
	self:hide();
end