-- 时空争霸-生涯奖励
Lua_TimeSpaceRaceResultWindow = class("Lua_TimeSpaceRaceResultWindow", Lua_Window)
function Lua_TimeSpaceRaceResultWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TimeSpaceRaceResultWindow";
	self.skinName = "TimeSpaceRaceResultWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_TimeSpaceRaceResultWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_ItemIconList.new(self.content);
	self.itemList:setLocation(0, -110, 0);
	self.itemList.scaleVal = 0.9;
	self.itemList.canClick = true;
	
	self.btnSure:addClickFuntion(self, self.hide);
end

function Lua_TimeSpaceRaceResultWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_TimeSpaceRaceResultWindow:showWin(param)
	self:superCall("showWin", param);

	local config = DataCenter.timeSpaceRaceUtil:getTimeSpaceConfig(param.type);
	self.nameText.text = config.name;
	self.maxRankText.text = param.his_rank;
	self.curRankText.text = param.rank;
	self.curRankText:resetSize();
	self.rankStateIcon:setLocation(self.curRankText.posX + self.curRankText.width + 20, 55, 0);
	local value = param.his_rank - param.rank;
	if value == 0 then
		self.rankStateIcon:setEnable(false);
		self.rankStateText:setEnable(false);
	else
		self.rankStateIcon:setEnable(true);
		self.rankStateText:setEnable(true);
		if value > 0 then
			self.rankStateIcon:setAltas("fight_atlas_2", "xui_zd_label_01");
			self.rankStateText.colorStr = Lua_ColorDefine.transColorStr("83E490");
		else
			self.rankStateIcon:setAltas("fight_atlas_2", "xui_zd_label_02");
			self.rankStateText.colorStr = Lua_ColorDefine.transColorStr("ECEBE6");
		end
		self.rankStateText.text = Mathf.Abs(value);
		self.rankStateText:setLocation(self.curRankText.posX + self.curRankText.width + 40, 55, 0);
	end
	self.itemList:setArrayData(param.item_list);
end